# A comma separated list of trusted origins permitted to make cross-domain requests. Use the
# wildcard '*' to trust any origin otherwise the specified origins must be fully described on the form:
# '<protocol-scheme>://<host>:<port>' (the <port> may optional be skipped if using standard http/https
# ports).
# Example 1: To trust the origin 'trusted-origin.com' on port 8080 and the origin 'another-trusted-origin.com' on
# default https port use: 
# nanomap.accessControl.trustedOrigins=http://trusted-origin.com:8080, https://another-trusted-origin.com
# Example 2: To trust any origin use:
# nanomap.accessControl.trustedOrigins=*
nanomap.accessControl.trustedOrigins=

# The following property controls whether or not to require the presence and correctness of
# the 'X-Requested-With' custom header on Ajax/XHR requests.
nanomap.accessControl.verifyXHR=true

# Whether 3D mode is enabled
nanomap.3d.enabled=true

# Specifies the timeout value, in milliseconds, to be used when opening connections to remote resources and services.
# If the timeout is un-specified or 0 an infinite timeout is used.
nanomap.http.connectTimeout=30000

# Specifies the timeout value, in milliseconds, to be used when reading from connections to remote resources and services.
nanomap.http.readTimeout=30000

# The HTTP User-Agent request header value used when connecting to remote services.
nanomap.http.userAgent=Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.186 Safari/537.36

# This property controls the amount of disk space available for service caching (tile stores). The quota is specified
# in number of MBs. No quota will be enforced if the property is unspecified or non-positive.
nanomap.diskCacheQuota=

# This property controls the maximum CPU load used during some intensive data processes. The factor is only used as a hint and may not be
# respected in all circumstances. The factor specified as a percent value in the interval 0 and 1
nanomap.cpuLoadFactor=0.75
